Skip to content

Select theme

Get processing layers.

GET
/{organization}/projects/{projectId}/layers/processing
curl --request GET \
--url 'https://app.civillo.com/api/v1/example/projects/1/layers/processing?jobId=123&pageSize=10&page=10&creatorId=c16046d5-4d5e-45f3-a62b-75423c13b394&creatorName=john%20smith&endDate=2023-08-23T22%3A53%3A16.6478590Z&startDate=2023-08-23T22%3A53%3A16.6478590Z&statuses=initializing&statuses=completed' \
--header 'Authorization: Bearer <token>'

Get the current state of processing layers or a specific processing layer.

organization
required
string

The organization nickname

projectId
required
integer

The project id

jobId
integer

The processor job id if requesting a specific job. If specified, only a single job will be returned as the response and all other filters will be ignored.

Example
123
pageSize
integer format: 1 - 50

Defines the max number of results per page to include in the response Default 10.

Example
10
page
integer

Defines which results page to return results from Default 1. pageCount can be read from the response. This should be used to determine how many subsequent requests will need to be made to read the entire result set.

Example
10
creatorId
string format: uuid

Filter optional - The ID of the creating user to filter jobs by

Example
c16046d5-4d5e-45f3-a62b-75423c13b394
creatorName
string

Filter optional - The full name of the creating user to filter jobs by. Case insensitive.

Example
john smith
endDate
string format: ISO 8601

Filter optional - Filter to show only jobs created before this date.

Example
2023-08-23T22:53:16.6478590Z
startDate
string format: ISO 8601

Filter optional - Filter to show only jobs created after this date.

Example
2023-08-23T22:53:16.6478590Z
statuses
Array<string>

Filter optional - Filter to show only jobs in specific job states. Available options are initializing, processing, error, completed. Multiple statuses may be included and the results are inclusive (Logical OR). This means you can request both initializing and completed and get the results for both. Please note that when using error status, only jobs with a definite error (and not perceived error) will be included. Jobs with “perceived” errors eg freezes or unresponsiveness will be included as part of the processing status as they may still be processing.

Example
[
"initializing",
"completed"
]

An array of jobs or a single job if jobId query parameter was specified.

Media typeapplication/json
Array<object>
object
count

The number of jobs in the response.

integer
jobs
Array
object
cancelAllowed

Whether the job is in a state that allows it to be cancelled.

boolean
complete

Whether the job has completed processing or not.

boolean
created

The date of the job was created in ISO 8601 format.

string format: date-time
id

The ID of the job.

integer
progress

The percentage towards process completion. Not always a reliable indicator as some file types (mainly imagery) can reset this value to lower than it has been previously.

integer
<= 100
error

If an error causing the job to fail has occurred it will be included here. If a perceived lockup/freeze or the job has become unresponsive has occurred, information about it will be displayed here as well.

string
status

A message conveying the current process status.

string
updated

The last time the job processing was updated in ISO 8601 format.

string format: date-time
uploader

The creator of the job. Format is {first name} {last name} <{id}> (no curly brackets).

string
page

The current results page number of the total result set. Pages use a 1 based index (first page is 1).

integer
total

The total number jobs in the result set (some which may be found on other pages).

integer
pageCount

The total number of pages in the result set.

integer
Example
[
{
"count": 10,
"jobs": [
{
"cancelAllowed": false,
"complete": false,
"created": "2023-08-23T22:53:16.6478590Z",
"id": 123,
"progress": 75,
"error": "An error occurred in the process.",
"status": "Unpacking geometries.",
"updated": "2023-08-23T22:53:16.6478590Z"
}
],
"page": 1,
"total": 105,
"pageCount": 11
}
]

Bad Request

Unauthorized

Forbidden

Not Found